Subject: Re: Q&D guide to putting perl modules into pkgsrc?
To: Jeremy C. Reed <>
From: Carl Brewer <>
List: tech-pkg
Date: 10/26/2004 15:00:32
Jeremy C. Reed wrote:
> On Tue, 26 Oct 2004, Carl Brewer wrote:
>>>Are you sure you run "make clean" before typing "make patch"?
>>I do better than that, I rm -rf work.  My understanding
> If you use WRKOBJDIR that may not be good enough (so do a "make clean"
> instead).

rollcage2# make clean ; make patch
===> Cleaning for p5-MasonX-Apache2Handler-0.05
===> Checking for vulnerabilities in p5-MasonX-Apache2Handler-0.05
=> Checksum OK for MasonX-Apache2Handler-0.05.tar.gz.
===> Extracting for p5-MasonX-Apache2Handler-0.05
===> Required installed package perl>=5.8.4: perl-5.8.4nb1 found
===> Required installed package p5-libapreq2>=2.4: p5-libapreq2-2.4.3nb1 
===> Required installed package p5-HTML-Mason>=1.26: p5-HTML-Mason-1.26 
===> Required installed package ap2-perl>=1.99.17: ap2-perl-1.99.17 found
===> Required installed package {perl>=5.0,perl-thread>=5.0}: 
perl-5.8.4nb1 found
===> Patching for p5-MasonX-Apache2Handler-0.05
===> Applying pkgsrc patches for p5-MasonX-Apache2Handler-0.05
1 out of 1 hunks failed--saving rejects to lib/MasonX/
Patch /usr/pkgsrc/www/p5-MasonX-Apache2Handler/patches/patch-aa failed
*** Error code 1

make: stopped in /usr/pkgsrc/www/p5-MasonX-Apache2Handler
*** Error code 1

make: stopped in /usr/pkgsrc/www/p5-MasonX-Apache2Handler

"that's not it" :)